# Init

### Description

Initializes the floating license. You must call Init right after creating an instance of QlmFloatingLicenseHelper.

```csharp
void Init(IQlmLicense license, string computerID, string nodeName, 
          string settingsXml, FloatingDbType dbType, string dbProvider)
```

### Parameters

| Parameter   |                            Type                           | Description                                                            |
| ----------- | :-------------------------------------------------------: | ---------------------------------------------------------------------- |
| license     | [IQlmLicense](/docs/api-reference/.net-api/qlmlicense.md) | an instance of the QlmLicense object.                                  |
| computerID  |                           string                          | the unique computer identifier associated with the system              |
| nodeName    |                           string                          | the unique node name associated with the system                        |
| settingsXml |                           string                          | the settings XML file generated by the Protect Your Application wizard |
| dbType      |                       FloatingDbType                      | the type of the floating license database                              |
| dbProvider  |                           string                          | the DB provider for MS-Access or SQL Server                            |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/iqlmfloatinglicensehelper/methods/init.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
